Subject: Re: [PATCH net v3] net: tls: use sync AEAD for sk_msg BPF sockets

From: Sabrina Dubroca <[email-masked]>
Date: Wed, 27 May 2026 10:36:59 +0200

2026-05-26, 16:11:01 -0700, Jakub Kicinski wrote:
> On Tue, 26 May 2026 14:44:24 +0800 Jiayuan Chen wrote:
> > May be time to remove skmsg from ktls? (disable by default first, 
> > re-enable via a new ktls module_param?)
> 
> Yes, we asked John F off-list to get his attention and I think there's
> only a vague plan to start using kTLS + sockmap, no current user
> (sorry if I misread / misremembered).

That was also what I got from this.

> module params aren't a great API. If we want to deprecate it let's just
> remove the integration in net-next. You have my vote..

+1

and keeping the code around means we still have to maintain it and
deal with the extra complexity.

-- 
Sabrina